version: '3'
services:
  {{APP_NAME}}_db:
    image: {{DB_IMAGE}}
    container_name: "{{APP_NAME}}_db"
    volumes:
       - ./db:/var/lib/mysql
       - ./logs/mysql:/var/log/mysql
    restart: unless-stopped
    environment:
      MYSQL_ROOT_PASSWORD: "{{DB_ROOT_PASSWORD}}"
      MYSQL_DATABASE: {{DB_NAME}}_{{APP_NAME}}
      MYSQL_USER: {{DB_USER}}_{{APP_NAME}}
      MYSQL_PASSWORD: {{DB_PASSWORD}}
    networks:
      - {{NETWORK}}
  {{APP_NAME}}_wp:
    depends_on:
      - {{APP_NAME}}_db
    image: {{WP_IMAGE_PREFIX}}-{{APP_NAME}}-{{APP_ENV}}:latest
    container_name: "{{APP_NAME}}_wp"
    restart: unless-stopped
    ports:
      - "{{HTTP_PORT}}:80"
    dns:
      - {{DNS1}}
      - {{DNS2}}
      - {{DNS3}}
      - {{DNS4}}
    networks:
      - {{NETWORK}}
    volumes:
      - "./logs/apache2:/var/log/apache2"
      - "./uploads:/var/www/html/wp-content/uploads"

networks:
  {{NETWORK}}:
    driver: 'bridge'
